Delete webhook
curl --request DELETE \
--url https://v2.flabs.in/client/events/deleteEvent/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://v2.flabs.in/client/events/deleteEvent/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://v2.flabs.in/client/events/deleteEvent/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Subscribed event deleted successfully"
}{
"success": false,
"status": 401,
"message": "Unauthorized",
"error": {
"details": "Invalid client credentials"
}
}{
"success": false,
"status": 500,
"message": "Internal Server Error",
"error": {
"details": "An unexpected error occurred"
}
}Webhooks
Delete Webhook
Delete a specific webhook by its unique identifier. This permanently removes it and stops all deliveries.
Party-scoped accounts: you MUST pass the same party (corporateUser or organization) the webhook is bound to; you can only delete your own party’s webhooks.
DELETE
/
client
/
events
/
deleteEvent
/
{id}
Delete webhook
Authorizations
JWT token obtained from the authentication endpoint
Path Parameters
Unique identifier of the webhook to delete
Query Parameters
Flabs lab (branch) identifier. Fetch the list of labs via GET /client/labs.
Party-scoped accounts only. The corporate the webhook is bound to. Pass either corporateUser or organization, not both.
Party-scoped accounts only. The doctor/hospital the webhook is bound to. Pass either corporateUser or organization, not both.
Was this page helpful?